--- sampleconf/mimeview	2013-09-30 18:45:06.000000000 +0200
+++ sampleconf/mimeview.mac	2013-09-30 18:45:06.000000000 +0200
@@ -2,7 +2,8 @@
 
 ## ##########################################
 # External viewers, launched by the recoll GUI when you click on a result
-# 'edit' link
+# 'Open' link - MAC version
+# On the MAC, we use "open" for everything...
 
 # Mime types which we should not uncompress if they are found gzipped or
 # bzipped because the native viewer knows how to handle. These would be
@@ -16,20 +17,17 @@
 #    search string
 #  - For pages of CHM and EPUB documents where we can choose to open the 
 #    parent document instead of a temporary html file.
-xallexcepts = application/pdf application/postscript application/x-dvi \
- text/html|gnuinfo text/html|chm text/html|epub \
- application/x-fsdirectory|parentopen inode/directory|parentopen
+#xallexcepts = application/pdf application/postscript application/x-dvi \
+#            text/html|gnuinfo text/html|chm text/html|epub
 
 [view]
 # Pseudo entry used if the 'use desktop' preference is set in the GUI
-application/x-all = xdg-open %u
+application/x-all = open %f
 
 application/epub+zip = ebook-viewer %f
-# Open the parent epub document for epub parts instead of opening them as
-# html documents. This is almost always what we want.
-text/html|epub = ebook-viewer %F;ignoreipath=1
-
-application/x-gnote = gnote %f
+# If you want to open the parent epub document for epub parts instead of
+# opening them as html documents:
+#text/html|epub = ebook-viewer %F;ignoreipath=1
 
 application/x-mobipocket-ebook = ebook-viewer %f
 
@@ -76,13 +74,9 @@
 application/vnd.wordperfect = libreoffice %f
 text/rtf = libreoffice %f
 
+application/x-chm = kchmviewer %f
 application/x-dia-diagram = dia %f
-
 application/x-fsdirectory = dolphin %f
-inode/directory = dolphin %f
-application/x-fsdirectory|parentopen = dolphin --select %(childurl) %f
-inode/directory|parentopen = dolphin --select %(childurl) %f
-
 application/x-gnuinfo = xterm -e "info -f %f"
 application/x-gnumeric = gnumeric %f
 
@@ -102,11 +96,6 @@
 image/x-ms-bmp = gwenview %f
 image/x-xpmi = gwenview %f
 
-# Opening mail messages not always works. 
-#  - Thunderbird will only open a single-message file if it has an .emf
-#    extension
-#  - "sylpheed %f" seems to work ok as of version 3.3
-#  - "kmail --view %u" works
 message/rfc822 = thunderbird -file %f
 text/x-mail = thunderbird -file %f
 application/x-mimehtml = thunderbird -file %f
@@ -119,11 +108,11 @@
 application/x-tar = ark %f
 application/zip = ark %f
 
-application/x-awk = emacsclient --no-wait %f
-application/x-perl = emacsclient --no-wait %f
-text/x-perl = emacsclient --no-wait %f
-application/x-shellscript = emacsclient --no-wait %f
-text/x-shellscript = emacsclient --no-wait %f
+application/x-awk = emacsclient  %f
+application/x-perl = emacsclient  %f
+text/x-perl = emacsclient  %f
+application/x-shellscript = emacsclient  %f
+text/x-shellscript = emacsclient  %f
 
 # Or firefox -remote "openFile(%u)"
 text/html = firefox %u
@@ -135,41 +124,39 @@
 
 application/x-webarchive = konqueror %f
 text/x-fictionbook = ebook-viewer %f
-application/x-tex = emacsclient --no-wait  %f
-application/xml = emacsclient --no-wait  %f
-text/xml = emacsclient --no-wait  %f
-text/x-tex = emacsclient --no-wait  %f
-text/plain = emacsclient --no-wait  %f
-text/x-awk = emacsclient --no-wait  %f
-text/x-c = emacsclient --no-wait  %f
-text/x-c+ = emacsclient --no-wait  %f
-text/x-c++ = emacsclient --no-wait  %f
+application/x-tex = emacsclient  %f
+application/xml = emacsclient  %f
+text/xml = emacsclient  %f
+text/x-tex = emacsclient  %f
+text/plain = emacsclient  %f
+text/x-awk = emacsclient  %f
+text/x-c = emacsclient  %f
+text/x-c+ = emacsclient  %f
+text/x-c++ = emacsclient  %f
 text/x-csv = libreoffice %f
 text/x-html-sidux-man = konqueror %f
 text/x-html-aptosid-man = iceweasel %f
 
-application/x-chm = kchmviewer %f
 # Html pages inside a chm have a chm rclaptg set by the filter. Kchmviewer
 # knows how to use the ipath (which is the internal chm path) to open the
 # file at the right place
 text/html|chm = kchmviewer --url %i %F
 
-text/x-ini = emacsclient --no-wait %f
+text/x-ini = emacsclient %f
 text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
 text/x-python = idle %f
-text/x-gaim-log = emacsclient --no-wait  %f
-text/x-purple-html-log = emacsclient --no-wait  %f
-text/x-purple-log = emacsclient --no-wait  %f
+text/x-gaim-log = emacsclient  %f
+text/x-purple-html-log = emacsclient  %f
+text/x-purple-log = emacsclient  %f
 
 # The video types will usually be handled by the desktop default, but they
 # need entries here to get an "Open" link
-video/3gpp = vlc %f
-video/mp2p = vlc %f
-video/mp2t = vlc %f
-video/mp4 = vlc %f
-video/mpeg = vlc %f
-video/quicktime = vlc %f
-video/x-matroska = vlc %f
-video/x-ms-asf = vlc %f
-video/x-msvideo = vlc %f
-
+video/3gpp = open %f
+video/mp2p = open %f
+video/mp2t = open %f
+video/mp4 = open %f
+video/mpeg = open %f
+video/quicktime = open %f
+video/x-matroska = open %f
+video/x-ms-asf = open %f
+video/x-msvideo = open %f
